package com.neusoft.smart.pos.user.persistent.mapper;

import com.neusoft.smart.pos.user.persistent.domain.PermissionGroup;
import com.neusoft.smart.pos.user.persistent.domain.UserLoginRecordExample;
import com.neusoft.smart.pos.user.persistent.domain.UserLoginRecordKey;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserLoginRecordMapper {
    int countByExample(UserLoginRecordExample example);

    int insert(UserLoginRecordKey record);

    int insertSelective(UserLoginRecordKey record);

    List<UserLoginRecordKey> selectByExample(UserLoginRecordExample example);

    PermissionGroup selectByPrimaryKey(Integer id);

    int deleteByPrimaryKey(UserLoginRecordKey key);

    int deleteByExample(UserLoginRecordExample example);
}
